package com.liquidnet.common.third.zxlnft.dto;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: PublishReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:45
 */
@Data
public class Nft034PublishRespDto implements Serializable {
    /**
     * 任务ID
     */
    private String taskId;

    private static final Nft034PublishRespDto obj = new Nft034PublishRespDto();
    public static Nft034PublishRespDto getNew() {
        try {
            return (Nft034PublishRespDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft034PublishRespDto();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
